#
# spec file for package supportutils-plugin-cloud-init
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           supportutils-plugin-cloud-init
Version:        1.1
Release:        3.6.1
BuildRequires:  supportutils
%define _prefix  /opt/gnome
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Boot/Utilities
URL:            https://www.suse.com/
Summary:        Include cloud-init related logs and data in supportconfig tarball
Source0:        supportutils_plugin_cloud_init
Requires:       supportutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Records status of the cloud-init systemd services in cloud-init.txt and adds the tarball produced by 'cloud-init collect-logs' to the supportconfig tarball.


Authors:
--------
    Andreas Taschner        <ataschner@suse.com>

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%prep
cp %{S:0} .

%build

%install
install -Dm 544 supportutils_plugin_cloud_init $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins/supportutils_plugin_cloud_init

%files
%defattr(-,root,root)
/usr/lib/supportconfig/plugins/supportutils_plugin_cloud_init
%changelog
* Fri Feb 18 2022 andreas.taschner@suse.com
- Script name stripped for dashes and dots,
  which made the execution fail (bsc#1195961)
* Thu Aug 12 2021 andreas.taschner@suse.com
- This plugin adds functionality to the supportconfig tool,
  making it include logs and status of systemd services
  relating to cloud-init in the supportconfig tarballs
  (jsc#SLE-19069).
